curl --request PUT \
--url https://int-api.mx.com/users/{user_guid}/goals/reposition \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.mx.api.v1+json' \
--data '
{
"goals": [
{
"guid": "GOL-97665947-235c-b213-ca25-8cf0174774f5",
"position": 1
}
]
}
'import requests
url = "https://int-api.mx.com/users/{user_guid}/goals/reposition"
payload = { "goals": [
{
"guid": "GOL-97665947-235c-b213-ca25-8cf0174774f5",
"position": 1
}
] }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.mx.api.v1+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.mx.api.v1+json'
},
body: JSON.stringify({goals: [{guid: 'GOL-97665947-235c-b213-ca25-8cf0174774f5', position: 1}]})
};
fetch('https://int-api.mx.com/users/{user_guid}/goals/reposition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"goals": [
{
"account_guid": "ACT-4e431124-4a29-abf9-f059-ab232ac14dbf",
"amount": 4500,
"current_amount": 1651.27,
"guid": "GOL-524ca5db-a2d5-44f3-b048-16de16059024",
"goal_type_name": "PAYOFF",
"meta_type_name": "VACATION",
"name": "Save for Europe",
"completed_at": "2015-06-19T10:37:04-06:00",
"has_been_spent": false,
"is_complete": false,
"metadata": "Additional information",
"position": 3,
"projected_to_complete_at": "2022-06-14T16:03:53-00:00",
"targeted_to_complete_at": "2026-12-08 00:00:00.000000",
"track_type_name": "Track Type Name",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
}
]
}Reposition goals
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Body
Response
OK
Hide child attributes
Hide child attributes
Unique identifier of the account for the goal.
"ACT-4e431124-4a29-abf9-f059-ab232ac14dbf"
Amount of the goal.
4500
The current amount of the goal.
1651.27
The unique identifier for the goal. Defined by MX.
"GOL-524ca5db-a2d5-44f3-b048-16de16059024"
The goal type.
"PAYOFF"
The category of the goal.
"VACATION"
The name of the goal.
"Save for Europe"
Date and time the goal was completed.
"2015-06-19T10:37:04-06:00"
Determines if the goal has been spent.
false
Determines if the goal is complete.
false
Additional information a partner can store on the goal.
"Additional information"
The priority of the goal in relation to multiple goals.
3
The date on which the project was completed.
"2022-06-14T16:03:53-00:00"
"2026-12-08 00:00:00.000000"
"Track Type Name"
The unique identifier for the the user. Defined by MX.
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"

